Loading...
Searching...
No Matches
fem_on_pointset< T >

## Detailed Description

template<class T>
class rheolef::fem_on_pointset< T >

Definition at line 117 of file fem_on_pointset.h.

Inheritance diagram for fem_on_pointset< T >:

## Public Types

typedef fem_on_pointset_rep< T > | rep
typedef smart_pointer< rep > | base
typedef rep::size_type | size_type
typedef rep::diff_type | diff_type
Public Types inherited from smart_pointer< fem_on_pointset_rep< T > >
typedef T | handled_type
typedef base::internal | internal

## Public Member Functions

| fem_on_pointset ()
void | initialize (const basis_basic< T > &fem_basis, const piola_on_pointset< T > &pops)
const basis_on_pointset< T > & | get_basis_on_pointset () const
const piola_on_pointset< T > & | get_piola_on_pointset () const
template<class M, class Value, diff_type Diff>
void | evaluate (const geo_basic< T, M > &omega_K, const geo_element &K, const details::differentiate_option &gopt, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class M, class Value, diff_type Diff>
void | evaluate_on_side (const geo_basic< T, M > &omega_K, const geo_element &K, const side_information_type &sid, const details::differentiate_option &gopt, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
Public Member Functions inherited from smart_pointer< fem_on_pointset_rep< T > >
| smart_pointer (T *p=0)
smart_pointer< T > & | operator= (const smart_pointer< T > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, details::constructor_copy< T > >
| smart_pointer_base (T *p=0)
smart_pointer_base< T, details::constructor_copy< T > > & | operator= (const smart_pointer_base< T, details::constructor_copy< T > > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
int | reference_counter () const
counter * | get_count () const

## Member Typedef Documentation

## rep

template<class T>

typedef fem_on_pointset_rep<T> rep

Definition at line 119 of file fem_on_pointset.h.

## base

template<class T>

typedef smart_pointer<rep> base

Definition at line 120 of file fem_on_pointset.h.

## size_type

template<class T>

typedef rep::size_type size_type

Definition at line 121 of file fem_on_pointset.h.

## diff_type

template<class T>

typedef rep::diff_type diff_type

Definition at line 122 of file fem_on_pointset.h.

## Constructor & Destructor Documentation

## fem_on_pointset()

template<class T>

fem_on_pointset | ( |  | ) |

Definition at line 163 of file fem_on_pointset.h.

## Member Function Documentation

## initialize()

template<class T>

void initialize | ( | const basis_basic< T > & | fem_basis,
|  | const piola_on_pointset< T > & | pops )

Definition at line 130 of file fem_on_pointset.h.

## get_basis_on_pointset()

template<class T>

const basis_on_pointset< T > & get_basis_on_pointset | ( |  | ) | const

Definition at line 137 of file fem_on_pointset.h.

## get_piola_on_pointset()

template<class T>

const piola_on_pointset< T > & get_piola_on_pointset | ( |  | ) | const

Definition at line 139 of file fem_on_pointset.h.

## evaluate()

template<class T>
template<class M, class Value, diff_type Diff>

void evaluate | ( | const geo_basic< T, M > & | omega_K,
|  | const geo_element & | K,
|  | const details::differentiate_option & | gopt,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value ) const

Definition at line 144 of file fem_on_pointset.h.

## evaluate_on_side()

template<class T>
template<class M, class Value, diff_type Diff>

void evaluate_on_side | ( | const geo_basic< T, M > & | omega_K,
|  | const geo_element & | K,
|  | const side_information_type & | sid,
|  | const details::differentiate_option & | gopt,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value ) const

Definition at line 153 of file fem_on_pointset.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/fem_on_pointset.h